VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Types | Public Member Functions | List of all members
UTF8String Class Reference

holds an UTF8 encoded string and a platform representation of it More...

## Public Types
using | StringType = std::string
using | SizeType = StringType::size_type
using | CodePointIterator = UTF8CodePointIterator< StringType::const_iterator >

## Public Member Functions
| UTF8String (UTF8StringPtr str=nullptr)
| UTF8String (const UTF8String &other)
| UTF8String (const StringType &str)
| UTF8String (UTF8String &&other) noexcept
| UTF8String (StringType &&str) noexcept
UTF8String & | operator= (const UTF8String &other)
UTF8String & | operator= (const StringType &other)
UTF8String & | operator= (UTF8String &&other) noexcept
UTF8String & | operator= (StringType &&str) noexcept
UTF8String & | operator= (UTF8StringPtr str)
SizeType | length () const noexcept
bool | empty () const noexcept
void | copy (UTF8StringBuffer dst, SizeType dstSize) const noexcept
CodePointIterator | begin () const noexcept
CodePointIterator | end () const noexcept
bool | operator== (UTF8StringPtr str) const noexcept
bool | operator!= (UTF8StringPtr str) const noexcept
bool | operator== (const UTF8String &str) const noexcept
bool | operator!= (const UTF8String &str) const noexcept
bool | operator== (const StringType &str) const noexcept
bool | operator!= (const StringType &str) const noexcept
UTF8String & | operator+= (const UTF8String &other)
UTF8String & | operator+= (StringType::value_type ch)
UTF8String & | operator+= (const StringType::value_type *other)
UTF8String | operator+ (const UTF8String &other)
UTF8String | operator+ (StringType::value_type ch)
UTF8String | operator+ (const StringType::value_type *other)
void | assign (UTF8StringPtr str)
void | clear () noexcept
const UTF8StringPtr | data () const noexcept
| operator const UTF8StringPtr () const noexcept
const StringType & | getString () const noexcept
IPlatformString * | getPlatformString () const noexcept
| operator bool () const =delete

## Detailed Description

holds an UTF8 encoded string and a platform representation of it

## Member Typedef Documentation

using CodePointIterator = UTF8CodePointIterator<StringType::const_iterator>

using SizeType = StringType::size_type

using StringType = std::string

## Constructor & Destructor Documentation

UTF8String | ( | UTF8StringPtr | str = `nullptr` | ) |

UTF8String | ( | const UTF8String & | other | ) |

UTF8String | ( | const StringType & | str | ) |
| explicit

UTF8String | ( | UTF8String && | other | ) |
| noexcept

UTF8String | ( | StringType && | str | ) |
| noexcept

## Member Function Documentation

void assign | ( | UTF8StringPtr | str | ) |

UTF8String::CodePointIterator begin | ( |  | ) | const
| noexcept

void clear | ( |  | ) |
| noexcept

void copy | ( | UTF8StringBuffer | dst,
|  | SizeType | dstSize
| ) |  | const
| noexcept

const UTF8StringPtr data | ( |  | ) | const
| inline noexcept

bool empty | ( |  | ) | const
| inline noexcept

UTF8String::CodePointIterator end | ( |  | ) | const
| noexcept

IPlatformString * getPlatformString | ( |  | ) | const
| noexcept

const StringType& getString | ( |  | ) | const
| inline noexcept

SizeType length | ( |  | ) | const
| inline noexcept

operator bool | ( |  | ) | const
| explicit delete

operator const UTF8StringPtr | ( |  | ) | const
| inline noexcept

bool operator!= | ( | UTF8StringPtr | str | ) | const
| noexcept

bool operator!= | ( | const UTF8String & | str | ) | const
| noexcept

bool operator!= | ( | const StringType & | str | ) | const
| noexcept

UTF8String operator+ | ( | const UTF8String & | other | ) |

UTF8String operator+ | ( | StringType::value_type | ch | ) |

UTF8String operator+ | ( | const StringType::value_type * | other | ) |

UTF8String & operator+= | ( | const UTF8String & | other | ) |

UTF8String & operator+= | ( | StringType::value_type | ch | ) |

UTF8String & operator+= | ( | const StringType::value_type * | other | ) |

UTF8String & operator= | ( | const UTF8String & | other | ) |

UTF8String & operator= | ( | const StringType & | other | ) |

UTF8String & operator= | ( | UTF8String && | other | ) |
| noexcept

UTF8String & operator= | ( | StringType && | str | ) |
| noexcept

UTF8String& operator= | ( | UTF8StringPtr | str | ) |
| inline

bool operator== | ( | UTF8StringPtr | str | ) | const
| noexcept

bool operator== | ( | const UTF8String & | str | ) | const
| noexcept

bool operator== | ( | const StringType & | str | ) | const
| noexcept

The documentation for this class was generated from the following files:

- cstring.h
- cstring.cpp